Article ID: 2334, created on Oct 29, 2007, last review on Apr 17, 2012

  • Applies to:
  • Pro Control Panel Linux

AdditionalInformation

View Knowledge
Knowledge ID 1067
Product : WEBppliance for Linux
Version : 3.5.20
Topic : Hot Fixes

Title
Errata Fix: Updated glibc packages provide security and bug fixes for.

Summary
Errata Fix: Updated glibc packages provide security and bug fixes for WEBppliance Pro and Basic for Linux 3.5.20-11

Prevention


Details
Solution:

Security Fix: Updated glibc packages provide security and bug fixes

Resolved Issues:
Updated glibc packages that resolve vulnerabilities and address several bugs.

For more details refer to the following link: http://rhn.redhat.com/errata/RHSA-2003-325.html

Download Instructions:

For WEBppliance Pro for Linux 3.5.20:
http://download.swsoft.com/ensim/download/webppliance/linux/Pro/3.5.20/errata/errata-glibc/errata-glibc-3.5.20-9-4.tar.gz

For WEBppliance Basic for Linux 3.5.20:
http://download.swsoft.com/ensim/download/webppliance/linux/Basic/3.5.20/errata/errata-glibc/errata-glibc-3.5.20-9-4.tar.gz

Installation Instructions:

WEBppliance Pro and Basic for Linux (LS)
Important: Download the following list of RPMs before applying this patch. Customers having i386 RPMs should upgrade to the respective i386 RPMs, and customers having i686 RPMs should upgrade to the respective i686 RPMs

i386:
ftp://updates.redhat.com/7.3/en/os/i386/glibc-2.2.5-44.i386.rpm
ftp://updates.redhat.com/7.3/en/os/i386/glibc-common-2.2.5-44.i386.rpm
ftp://updates.redhat.com/7.3/en/os/i386/glibc-debug-2.2.5-44.i386.rpm
ftp://updates.redhat.com/7.3/en/os/i386/glibc-debug-static-2.2.5-44.i386.rpm
ftp://updates.redhat.com/7.3/en/os/i386/glibc-devel-2.2.5-44.i386.rpm
ftp://updates.redhat.com/7.3/en/os/i386/glibc-profile-2.2.5-44.i386.rpm
ftp://updates.redhat.com/7.3/en/os/i386/glibc-utils-2.2.5-44.i386.rpm
ftp://updates.redhat.com/7.3/en/os/i386/nscd-2.2.5-44.i386.rpm

i686
ftp://updates.redhat.com/7.3/en/os/i686/glibc-2.2.5-44.i686.rpm
ftp://updates.redhat.com/7.3/en/os/i686/glibc-debug-2.2.5-44.i686.rpm
ftp://updates.redhat.com/7.3/en/os/i386/glibc-common-2.2.5-44.i386.rpm
ftp://updates.redhat.com/7.3/en/os/i386/glibc-debug-static-2.2.5-44.i386.rpm
ftp://updates.redhat.com/7.3/en/os/i386/glibc-devel-2.2.5-44.i386.rpm
ftp://updates.redhat.com/7.3/en/os/i386/glibc-profile-2.2.5-44.i386.rpm
ftp://updates.redhat.com/7.3/en/os/i386/glibc-utils-2.2.5-44.i386.rpm
ftp://updates.redhat.com/7.3/en/os/i386/nscd-2.2.5-44.i386.rpm

  • Download and install either the i386 rpms or i686 rpms listed above, whichever is appropriate for your system. 
  • Ensure LWP 3.5.20-11 is installed. [note: the vulnerability in fileutils/coreutils package   is the 3.5.20-11 errata]   
  • Download the tarball from above mentioned location     
  • Untar the tarball in a temporary directory using the following command:
        tar -xvzf errata-glibc-3.5.20-9-4.tar.gz     
  • Run rpm -Fvh *.rpm.     
  • Restart WEBppliance service

For installating this fix for WEBppliance Pro/Basic for Linux 3.5.20 (LH) refer to Knowledge Base Article 857



Attachments


Related Knowledge

Related Links
 
Last ModifiedUsageSatisfiedLast Used
8/20/2004 12:46:10 PM32 10/11/2007 6:02:15 AM

4cc899da08664637a8bc437308d3ddd7 3ccb419cf98083f3bb45808fba8dbc7c 6311ae17c1ee52b36e68aaf4ad066387

Email subscription for changes to this article
Save as PDF